<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:id="@+id/ll_apply"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_white_top_10dp"
        android:orientation="vertical"
        android:paddingBottom="20dp"
        android:visibility="visible">

        <TextView
            android:id="@+id/tv_apply_mic"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:gravity="center"
            android:text="申请连麦"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_18"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:background="@color/color_dedede" />

        <TextView
            android:id="@+id/tv_cancel"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:gravity="center"
            android:text="取消"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_18"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </LinearLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:visibility="gone"
        android:id="@+id/cs_applying"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_white_top_10dp"
        android:minHeight="288dp">

        <TextView
            android:id="@+id/tv_cancel_apply"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:padding="18dp"
            android:text="取消申请"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_14"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/iv_owner_avatar"
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:layout_marginTop="64dp"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toLeftOf="@+id/iv_applying"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/iv_applying"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="14dp"
            android:layout_marginEnd="14dp"
            android:src="@drawable/icon_mic_applying"
            app:layout_constraintBottom_toBottomOf="@+id/iv_owner_avatar"
            app:layout_constraintLeft_toRightOf="@+id/iv_owner_avatar"
            app:layout_constraintRight_toLeftOf="@+id/iv_teacher_avatar"
            app:layout_constraintTop_toTopOf="@+id/iv_owner_avatar" />

        <de.hdodenhof.circleimageview.CircleImageView
            android:id="@+id/iv_teacher_avatar"
            android:layout_width="48dp"
            android:layout_height="48dp"
            app:layout_constraintLeft_toRightOf="@+id/iv_applying"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@+id/iv_owner_avatar" />


        <TextView
            android:id="@+id/tv_tip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="38dp"
            android:text="已申请连麦"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_18"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/iv_owner_avatar" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingTop="8dp"
            android:text="等待老师通过"
            android:textColor="@color/color_999999"
            android:textSize="@dimen/sp_14"
            app:layout_constraintLeft_toLeftOf="@+id/tv_tip"
            app:layout_constraintRight_toRightOf="@+id/tv_tip"
            app:layout_constraintTop_toBottomOf="@+id/tv_tip" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout
        android:id="@+id/ll_close_mic"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_white_top_10dp"
        android:orientation="vertical"
        android:paddingBottom="20dp"
        android:visibility="gone">

        <TextView
            android:id="@+id/tv_close_mic"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:gravity="center"
            android:text="断开连麦"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_18"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:background="@color/color_dedede" />

        <TextView
            android:id="@+id/tv_cancel2"
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:gravity="center"
            android:text="取消"
            android:textColor="@color/color_333333"
            android:textSize="@dimen/sp_18"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
    </LinearLayout>
</FrameLayout>